Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
secret-references
List All Secret References
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/secret-references \
  --header 'Authorization: Bearer <token>'
{
  "page": 1,
  "results": [
    {
      "description": "<string>",
      "name": "Data-Productivity-Cloud-secret-name",
      "provider": "<string>",
      "secretKey": "aws-secret-key",
      "secretName": "aws-secret-name",
      "type": "PASSWORD",
      "vaultName": "<string>",
      "vaultType": "AWS"
    }
  ],
  "size": 50,
  "total": 472
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Query Parameters

secretReferenceTypes
enum<string>[]

Optional filter for secret reference types. If not provided, only PASSWORD types will be returned

Available options:
PASSWORD,
OAUTH_USER_TOKENS,
OAUTH_AUTHORIZATION_CODE,
OAUTH_CLIENT_CRED,
OAUTH_CLIENT_CREDENTIALS,
COMPOSITE_TOKEN,
CLOUD_PLATFORM_CREDENTIALS
providers
string[]

Optional filter for providers. This is applicable only for non-PASSWORD secret reference types

Response

Secret references have been retrieved

page
integer<int32>

The 0-indexed page number of the returned results.

Example:

1

results
object[]

Page of results or empty.

size
integer<int32>

The size of each page of results.

Example:

50

total
integer<int64>

Total number of available results across all pages.

Example:

472